- name: Variablen setzen
  set_fact:
    starship_url: 'https://github.com/starship/starship/releases/download/v1.6.3/starship-x86_64-unknown-linux-gnu.tar.gz'
    starship_tmp_archive: '/tmp/starship-x86_64-unknown-linux-gnu.tar.gz'
    starship_checksum: sha256:0385cafd22a49a3f9c374d45dcb207a3a15ffeadae3391a5ddc7fd570ea23c2f
    starship_install_dir: /usr/local/starship-x86_64-unknown-linux-gnu
    starship_link: '/usr/local/bin/starship'

- name: Variablen setzen 2
  set_fact:
    starship_exe: '{{ starship_install_dir }}/starship'

- name: ZSH als Shell einrichten
  ansible.builtin.command: "chsh -s /usr/bin/zsh"
  become: true
  become_user: root

- name: ZSHRC einrichten
  copy:
    src: "zshrc"
    dest: "/root/.zshrc"

- name: Download NerdFont
  get_url:
    url: https://github.com/ryanoasis/nerd-fonts/releases/download/v2.1.0/JetBrainsMono.zip
    dest: /root/JetBrainsMono.zip

- name: Extract NerdFont
  ansible.builtin.unarchive:
    src: /root/JetBrainsMono.zip
    dest: /usr/local/share/fonts/
    mode: 660

- name: FontCache aktuallieren
  command: fc-cache

- name: Download löschen
  file:
    path: /root/JetBrainsMono.zip
    state: absent

- name: downloading starship
  become: true
  become_user: root
  get_url:
    url: '{{ starship_url }}'
    dest: '{{ starship_tmp_archive }}'
    checksum: '{{ starship_checksum }}'
    mode: 0644

- name: Install dir erstellen
  become: true
  become_user: root
  file:
    path: '{{ starship_install_dir }}'
    state: directory
    mode: 0755

- name: unarchiving starship
  become: true
  become_user: root
  unarchive:
    remote_src: true
    src: '{{ starship_tmp_archive }}'
    dest: '{{ starship_install_dir }}'
    creates: '{{ starship_exe }}'

- name: rm {{ starship_tmp_archive }}
  become: true
  become_user: root
  file:
    path: '{{ starship_tmp_archive }}'
    state: absent

- name: linking {{ starship_link }} to {{ starship_exe }}
  become: true
  become_user: root
  file:
    src: '{{ starship_exe }}'
    dest: '{{ starship_link }}'
    state: link

- name: Starlink Config Ordner erstellen
  become: true
  become_user: root
  file:
    path: /root/.config
    state: directory

- name: Startship Config kopieren
  become: true
  become_user: root
  ansible.legacy.copy:
    src: "starship.toml"
    dest: /root/.config/